using Microsoft.AspNetCore.Mvc;

namespace Duotris.Controllers;

[ApiController]
[Route("api/[controller]")]
public class MatchesController : ControllerBase
{
    private readonly IGameList _gameList;

    public MatchesController(IGameList gameList)
    {
        _gameList = gameList;
    }

    [HttpGet]
    public object Index()
    {
        return _gameList;
    }
}
