// SignalR
const connection = new signalR.HubConnectionBuilder()
        .withUrl('/duotrishub')
        .build()
console.log('connection', connection)

connection.on('start', Newblock)

connection.on('message', message => {
    console.log(message)
    document.querySelector('#second > caption').innerText = message   // TODO animate in some way (ASCII spinner?)
})

connection.on('move', (bucket, score, lines) => {
    document.querySelector('#score').innerHTML = score
    document.querySelector('#lines').innerHTML = lines

    for(let row = 0; row < second.rows.length; row++) {
        for(let column = 0; column < second.rows[row].cells.length; column++) {
            v = second.rows[row].cells[column]
            v.className = bucket[row][column] >= 0 ? colors[bucket[row][column]] : 'cleared'
        }
    }
})

connection.on('linesCleared', lines => {
    console.log('lines cleared by opponent:', lines)
    // clear a random line
    if(lines === 4) {
        const y = Math.floor(Math.random() * H)
        for(let x = 0; x < W; x++) {
            first.rows[y].cells[x].className = 'cleared'
            first.rows[y].cells[x].s = 0
        }
    }
})

connection.on('gameOver', () => console.log('opponent is dead'))

connection.start()
//      .error(function fail() { console.log('Could not connect!') })
